org.cpsolver.instructor.constraints

## Class GroupConstraint.Block

- java.lang.Object
- - org.cpsolver.instructor.constraints.GroupConstraint.Block

- Enclosing class:
    GroupConstraint

      public static class GroupConstraint.Block
      extends Object

  Block of sections that go one after the other without any gap.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Block(int maxSlotsBetweenBTB)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addSection(org.cpsolver.instructor.constraints.GroupConstraint.TeachingAssignmentSection section)`
    `boolean` | `contains(TeachingAssignment ta)`
    `int` | `getEndSlotCurrentBlock()`
    `int` | `getLengthInSlots()`
    `int` | `getNbrPlacements()`
    `List<org.cpsolver.instructor.constraints.GroupConstraint.TeachingAssignmentSection>` | `getSections()`
    `int` | `getStartSlotCurrentBlock()`
    `boolean` | `haveSameStartTime()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Block

          public Block(int maxSlotsBetweenBTB)

  - ### Method Detail

    - #### addSection

          public boolean addSection(org.cpsolver.instructor.constraints.GroupConstraint.TeachingAssignmentSection section)

    - #### haveSameStartTime

          public boolean haveSameStartTime()

    - #### getStartSlotCurrentBlock

          public int getStartSlotCurrentBlock()

    - #### getEndSlotCurrentBlock

          public int getEndSlotCurrentBlock()

    - #### getNbrPlacements

          public int getNbrPlacements()

    - #### getSections

          public List<org.cpsolver.instructor.constraints.GroupConstraint.TeachingAssignmentSection> getSections()

    - #### getLengthInSlots

          public int getLengthInSlots()

    - #### contains

          public boolean contains(TeachingAssignment ta)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`